Skip to main content
POST
/
api
/
workforces
Create Workforce
curl --request POST \
  --url https://api.example.com/api/workforces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "manager_agent_id": 123,
  "description": "<string>",
  "manager_instructions": "<string>",
  "canvas_layout": {},
  "workers": [
    {
      "assignment_instructions": "<string>",
      "source_type": "existing",
      "agent_id": 123,
      "alias": "<string>",
      "enabled": true,
      "sort_order": 123,
      "canvas_position": {}
    }
  ]
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 200
manager_agent_id
integer
required
description
string | null
manager_instructions
string | null
canvas_layout
Canvas Layout · object
workers
WorkforceWorkerInput · object[]

Response

Successful Response

The response is of type Response Create Workforce Api Workforces Post · object.